<template>
  <div>
    <div class="tway-title tway-title-h2 text--tway-violet">
      Top 5 Especialistas
    </div>
    <v-row>
      <v-col xs="6" sm="6" md="3" lg="3" class="mb-5">
        <top-5-card-list
          title="Tamaño"
          :list="top5size"
          :my-ranking="sizeRanking"
        />
      </v-col>
      <v-col xs="6" sm="6" md="3" lg="3" class="mb-5">
        <top-5-card-list
          title="Cantidad Proyectos"
          :list="top5projects"
          :my-ranking="projectRanking"
        />
      </v-col>
      <v-col xs="6" sm="6" md="3" lg="3" class="mb-5">
        <top-5-card-list
          title="Evaluación de Clientes"
          :list="top5clientsEvaluation"
          :my-ranking="clientsEvaluationRanking"
        />
      </v-col>
      <v-col xs="6" sm="6" md="3" lg="3" class="mb-5">
        <top-5-card-list
          title="Facturación"
          :list="top5billing"
          :my-ranking="billingRanking"
        />
      </v-col>
    </v-row>

    <div class="tway-title tway-title-h2 text--tway-violet">
      Ranking de Especialistas
    </div>

    <v-row>
      <v-col v-if="myRanking !== {}">
        <v-card>
          <v-card-text>
            My Company Ranking:
            <span class="font-weight-bold"># {{ myRanking.ranking }}</span>
          </v-card-text>
        </v-card>
      </v-col>
      <v-col>
        <v-text-field
          v-model="searchQuery"
          append-icon="search"
          label="Filtra especialistas"
          single-line
          hide-details
          class="mb-5"
        />
      </v-col>
    </v-row>
    <v-data-table
      :headers="specialistsTableHeaders"
      :items="specialists"
      :search="searchQuery"
      class="elevation-1"
    >
      <template v-slot:item.name="{ item }">
        <v-avatar class="ma-3">
          <v-img :src="item.logo" aspect-ratio="1" max-width="50">
            <template v-slot:placeholder>
              <v-row class="fill-height ma-0" align="center" justify="center">
                <v-progress-circular indeterminate color="grey lighten-5" />
              </v-row>
            </template>
          </v-img>
        </v-avatar>
        <span>{{ item.name }}</span>
      </template>
      <template v-slot:item.clientsEvaluation="{ item }">
        {{ `${item.clientsEvaluation} %` }}
      </template>
    </v-data-table>
  </div>
</template>

<script>
import Top5CardList from "@/components/Top5CardList";

export default {
  name: "SpecialistsRanking",

  components: {
    Top5CardList,
  },

  data() {
    return {
      top5size: [],
      top5projects: [],
      top5clientsEvaluation: [],
      top5billing: [],
      sizeRanking: {
        ranking: 30,
        name: "My Company",
        logo: "https://picsum.photos/100?random=100",
      },
      projectRanking: {
        ranking: 10,
        name: "My Company",
        logo: "https://picsum.photos/100?random=100",
      },
      clientsEvaluationRanking: {
        ranking: 7,
        name: "My Company",
        logo: "https://picsum.photos/100?random=100",
      },
      billingRanking: {
        ranking: 23,
        name: "My Company",
        logo: "https://picsum.photos/100?random=100",
      },
      myRanking: {
        ranking: 73,
      },
      searchQuery: "",
      specialistsTableHeaders: [
        {
          text: "Ranking",
          align: "end",
          filterable: false,
          sortable: true,
          value: "ranking",
        },
        {
          text: "Nombre",
          align: "start",
          filterable: true,
          sortable: true,
          value: "name",
        },
        {
          text: "Tamaño",
          align: "start",
          filterable: true,
          sortable: true,
          value: "size",
        },
        {
          text: "Facturación",
          align: "end",
          filterable: false,
          sortable: true,
          value: "billing",
        },
        {
          text: "Evaluación de Clientes",
          align: "end",
          filterable: false,
          sortable: true,
          value: "clientsEvaluation",
        },
        {
          text: "Proyectos",
          align: "end",
          filterable: false,
          sortable: true,
          value: "projects",
        },
        {
          text: "Rubro",
          align: "start",
          filterable: true,
          sortable: true,
          value: "industrialSector",
        },
      ],
      specialists: [],
    };
  },

  created() {
    this.top5size = [
      {
        ranking: 1,
        name: "Ut Cursus PC",
        industrialSector: "Something",
        logo: "https://picsum.photos/100?random=1",
      },
      {
        ranking: 2,
        name: "Est Nunc Inc.",
        industrialSector: "Something",
        logo: "https://picsum.photos/100?random=2",
      },
      {
        ranking: 3,
        name: "Malesuada Ut Corporation",
        industrialSector: "Something",
        logo: "https://picsum.photos/100?random=3",
      },
      {
        ranking: 4,
        name: "Torquent Industries",
        industrialSector: "Something",
        logo: "https://picsum.photos/100?random=4",
      },
      {
        ranking: 5,
        name: "Pede Blandit Congue Limited",
        industrialSector: "Something",
        logo: "https://picsum.photos/100?random=5",
      },
    ];

    this.top5projects = [
      {
        ranking: 1,
        name: "Rutrum Urna Corporation",
        logo: "https://picsum.photos/100?random=6",
      },
      {
        ranking: 2,
        name: "Lorem Semper Auctor Institute",
        logo: "https://picsum.photos/100?random=7",
      },
      {
        ranking: 3,
        name: "Id LLP",
        logo: "https://picsum.photos/100?random=8",
      },
      {
        ranking: 4,
        name: "Tempor Est Ac Ltd",
        logo: "https://picsum.photos/100?random=9",
      },
      {
        ranking: 5,
        name: "Nibh Sit Amet Institute",
        logo: "https://picsum.photos/100?random=10",
      },
    ];

    this.top5clientsEvaluation = [
      {
        ranking: 1,
        name: "Mi Corp.",
        logo: "https://picsum.photos/100?random=11",
      },
      {
        ranking: 2,
        name: "Condimentum Eget Associates",
        logo: "https://picsum.photos/100?random=12",
      },
      {
        ranking: 3,
        name: "Vestibulum Ante Institute",
        logo: "https://picsum.photos/100?random=13",
      },
      {
        ranking: 4,
        name: "Proin Vel Limited",
        logo: "https://picsum.photos/100?random=14",
      },
      {
        ranking: 5,
        name: "Sagittis Placerat Cras Corp.",
        logo: "https://picsum.photos/100?random=15",
      },
    ];

    this.top5billing = [
      {
        ranking: 1,
        name: "Pellentesque Tellus Sem Corporation",
        logo: "https://picsum.photos/100?random=16",
      },
      {
        ranking: 2,
        name: "Eu Augue Porttitor Ltd",
        logo: "https://picsum.photos/100?random=17",
      },
      {
        ranking: 3,
        name: "Etiam Bibendum LLC",
        logo: "https://picsum.photos/100?random=18",
      },
      {
        ranking: 4,
        name: "Interdum Curabitur Dictum Limited",
        logo: "https://picsum.photos/100?random=19",
      },
      {
        ranking: 5,
        name: "Aenean Massa Integer Institute",
        logo: "https://picsum.photos/100?random=20",
      },
    ];

    this.specialists = [
      {
        ranking: 1,
        name: "Vel Est Corporation",
        size: "dolor.",
        billing: "$6.806",
        clientsEvaluation: 97,
        projects: 21,
        industrialSector: "eget varius",
        logo: "https://picsum.photos/100?random=1",
      },
      {
        ranking: 2,
        name: "Luctus Et Ultrices Ltd",
        size: "in,",
        billing: "$8.216",
        clientsEvaluation: 58,
        projects: 37,
        industrialSector: "Cras lorem",
        logo: "https://picsum.photos/100?random=2",
      },
      {
        ranking: 3,
        name: "Sit Corporation",
        size: "lorem,",
        billing: "$6.065",
        clientsEvaluation: 35,
        projects: 13,
        industrialSector: "eget, ipsum.",
        logo: "https://picsum.photos/100?random=3",
      },
      {
        ranking: 4,
        name: "Nec Limited",
        size: "libero",
        billing: "$6.708",
        clientsEvaluation: 74,
        projects: 15,
        industrialSector: "Aenean eget",
        logo: "https://picsum.photos/100?random=4",
      },
      {
        ranking: 5,
        name: "Cras Vehicula Limited",
        size: "sed,",
        billing: "$9.073",
        clientsEvaluation: 62,
        projects: 36,
        industrialSector: "Aenean euismod",
        logo: "https://picsum.photos/100?random=5",
      },
      {
        ranking: 6,
        name: "Nunc Consulting",
        size: "non",
        billing: "$8.920",
        clientsEvaluation: 78,
        projects: 17,
        industrialSector: "Curabitur consequat,",
        logo: "https://picsum.photos/100?random=6",
      },
      {
        ranking: 7,
        name: "Scelerisque Mollis Phasellus Foundation",
        size: "eu",
        billing: "$7.302",
        clientsEvaluation: 68,
        projects: 17,
        industrialSector: "sit amet",
        logo: "https://picsum.photos/100?random=7",
      },
      {
        ranking: 8,
        name: "Lobortis LLP",
        size: "gravida",
        billing: "$6.717",
        clientsEvaluation: 15,
        projects: 45,
        industrialSector: "Integer eu",
        logo: "https://picsum.photos/100?random=8",
      },
      {
        ranking: 9,
        name: "Massa Suspendisse Consulting",
        size: "augue",
        billing: "$5.112",
        clientsEvaluation: 71,
        projects: 42,
        industrialSector: "imperdiet ullamcorper.",
        logo: "https://picsum.photos/100?random=9",
      },
      {
        ranking: 10,
        name: "Dui Semper Et Ltd",
        size: "lacinia",
        billing: "$8.243",
        clientsEvaluation: 82,
        projects: 18,
        industrialSector: "tincidunt pede",
        logo: "https://picsum.photos/100?random=10",
      },
      {
        ranking: 11,
        name: "Integer Vulputate Risus Consulting",
        size: "turpis",
        billing: "$6.163",
        clientsEvaluation: 54,
        projects: 47,
        industrialSector: "in lobortis",
        logo: "https://picsum.photos/100?random=11",
      },
      {
        ranking: 12,
        name: "Cras Pellentesque Sed Institute",
        size: "fringilla",
        billing: "$5.748",
        clientsEvaluation: 2,
        projects: 26,
        industrialSector: "diam. Sed",
        logo: "https://picsum.photos/100?random=12",
      },
      {
        ranking: 13,
        name: "Ac Tellus LLC",
        size: "Aenean",
        billing: "$8.895",
        clientsEvaluation: 64,
        projects: 22,
        industrialSector: "pharetra sed,",
        logo: "https://picsum.photos/100?random=13",
      },
      {
        ranking: 14,
        name: "Semper Dui Foundation",
        size: "elit,",
        billing: "$5.134",
        clientsEvaluation: 88,
        projects: 49,
        industrialSector: "montes, nascetur",
        logo: "https://picsum.photos/100?random=14",
      },
      {
        ranking: 15,
        name: "Lorem LLP",
        size: "euismod",
        billing: "$5.713",
        clientsEvaluation: 94,
        projects: 19,
        industrialSector: "a nunc.",
        logo: "https://picsum.photos/100?random=15",
      },
      {
        ranking: 16,
        name: "Lorem Ut Aliquam LLP",
        size: "id,",
        billing: "$7.286",
        clientsEvaluation: 100,
        projects: 18,
        industrialSector: "ultrices, mauris",
        logo: "https://picsum.photos/100?random=16",
      },
      {
        ranking: 17,
        name: "Proin Velit Foundation",
        size: "Nullam",
        billing: "$5.207",
        clientsEvaluation: 14,
        projects: 36,
        industrialSector: "dictum sapien.",
        logo: "https://picsum.photos/100?random=17",
      },
      {
        ranking: 18,
        name: "Id Enim Incorporated",
        size: "malesuada",
        billing: "$6.618",
        clientsEvaluation: 66,
        projects: 29,
        industrialSector: "erat vel",
        logo: "https://picsum.photos/100?random=18",
      },
      {
        ranking: 19,
        name: "Dui Inc.",
        size: "non,",
        billing: "$8.747",
        clientsEvaluation: 62,
        projects: 27,
        industrialSector: "a, dui.",
        logo: "https://picsum.photos/100?random=19",
      },
      {
        ranking: 20,
        name: "Et Tristique Pellentesque PC",
        size: "Suspendisse",
        billing: "$9.043",
        clientsEvaluation: 86,
        projects: 49,
        industrialSector: "auctor non,",
        logo: "https://picsum.photos/100?random=20",
      },
      {
        ranking: 21,
        name: "Suspendisse Aliquet Corp.",
        size: "faucibus",
        billing: "$7.338",
        clientsEvaluation: 99,
        projects: 37,
        industrialSector: "faucibus lectus,",
        logo: "https://picsum.photos/100?random=21",
      },
      {
        ranking: 22,
        name: "Integer Vitae Nibh Associates",
        size: "Class",
        billing: "$9.212",
        clientsEvaluation: 42,
        projects: 41,
        industrialSector: "dolor quam,",
        logo: "https://picsum.photos/100?random=22",
      },
      {
        ranking: 23,
        name: "Arcu Consulting",
        size: "Vestibulum",
        billing: "$5.678",
        clientsEvaluation: 99,
        projects: 18,
        industrialSector: "dictum magna.",
        logo: "https://picsum.photos/100?random=23",
      },
      {
        ranking: 24,
        name: "Ut Limited",
        size: "congue",
        billing: "$8.363",
        clientsEvaluation: 88,
        projects: 10,
        industrialSector: "consequat dolor",
        logo: "https://picsum.photos/100?random=24",
      },
      {
        ranking: 25,
        name: "Facilisis Magna Company",
        size: "odio",
        billing: "$5.462",
        clientsEvaluation: 14,
        projects: 40,
        industrialSector: "dictum cursus.",
        logo: "https://picsum.photos/100?random=25",
      },
      {
        ranking: 26,
        name: "Libero Mauris Aliquam LLC",
        size: "libero.",
        billing: "$6.714",
        clientsEvaluation: 40,
        projects: 23,
        industrialSector: "nunc. Quisque",
        logo: "https://picsum.photos/100?random=26",
      },
      {
        ranking: 27,
        name: "Elementum Dui Ltd",
        size: "Maecenas",
        billing: "$9.955",
        clientsEvaluation: 48,
        projects: 40,
        industrialSector: "aliquam arcu.",
        logo: "https://picsum.photos/100?random=27",
      },
      {
        ranking: 28,
        name: "Morbi Quis Urna Foundation",
        size: "urna",
        billing: "$6.266",
        clientsEvaluation: 99,
        projects: 32,
        industrialSector: "dictum. Phasellus",
        logo: "https://picsum.photos/100?random=28",
      },
      {
        ranking: 29,
        name: "Tristique Aliquet Industries",
        size: "purus.",
        billing: "$7.980",
        clientsEvaluation: 77,
        projects: 36,
        industrialSector: "libero nec",
        logo: "https://picsum.photos/100?random=29",
      },
      {
        ranking: 30,
        name: "Sit Amet Nulla Consulting",
        size: "Cum",
        billing: "$8.083",
        clientsEvaluation: 20,
        projects: 17,
        industrialSector: "Etiam laoreet,",
        logo: "https://picsum.photos/100?random=30",
      },
      {
        ranking: 31,
        name: "Sed Foundation",
        size: "non",
        billing: "$7.588",
        clientsEvaluation: 31,
        projects: 11,
        industrialSector: "Sed diam",
        logo: "https://picsum.photos/100?random=31",
      },
      {
        ranking: 32,
        name: "Facilisis Lorem Corp.",
        size: "viverra.",
        billing: "$8.181",
        clientsEvaluation: 6,
        projects: 34,
        industrialSector: "lectus pede",
        logo: "https://picsum.photos/100?random=32",
      },
      {
        ranking: 33,
        name: "Donec Fringilla Corp.",
        size: "Donec",
        billing: "$5.683",
        clientsEvaluation: 63,
        projects: 45,
        industrialSector: "Praesent eu",
        logo: "https://picsum.photos/100?random=33",
      },
      {
        ranking: 34,
        name: "Amet Ante Vivamus Foundation",
        size: "tellus.",
        billing: "$8.769",
        clientsEvaluation: 30,
        projects: 41,
        industrialSector: "Duis sit",
        logo: "https://picsum.photos/100?random=34",
      },
      {
        ranking: 35,
        name: "Convallis Convallis Dolor Inc.",
        size: "in,",
        billing: "$5.202",
        clientsEvaluation: 74,
        projects: 11,
        industrialSector: "sem molestie",
        logo: "https://picsum.photos/100?random=35",
      },
      {
        ranking: 36,
        name: "Nunc Foundation",
        size: "mi",
        billing: "$8.329",
        clientsEvaluation: 46,
        projects: 19,
        industrialSector: "mollis lectus",
        logo: "https://picsum.photos/100?random=36",
      },
      {
        ranking: 37,
        name: "Malesuada Fames Ac Ltd",
        size: "lacinia",
        billing: "$6.734",
        clientsEvaluation: 20,
        projects: 30,
        industrialSector: "fringilla est.",
        logo: "https://picsum.photos/100?random=37",
      },
      {
        ranking: 38,
        name: "Arcu Sed Eu Associates",
        size: "convallis",
        billing: "$9.693",
        clientsEvaluation: 15,
        projects: 28,
        industrialSector: "urna. Vivamus",
        logo: "https://picsum.photos/100?random=38",
      },
      {
        ranking: 39,
        name: "Bibendum LLP",
        size: "mauris",
        billing: "$7.014",
        clientsEvaluation: 18,
        projects: 40,
        industrialSector: "Vivamus sit",
        logo: "https://picsum.photos/100?random=39",
      },
      {
        ranking: 40,
        name: "Neque Nullam Nisl Ltd",
        size: "semper",
        billing: "$9.041",
        clientsEvaluation: 77,
        projects: 17,
        industrialSector: "non, vestibulum",
        logo: "https://picsum.photos/100?random=40",
      },
      {
        ranking: 41,
        name: "Laoreet Incorporated",
        size: "quam.",
        billing: "$9.363",
        clientsEvaluation: 43,
        projects: 24,
        industrialSector: "urna. Vivamus",
        logo: "https://picsum.photos/100?random=41",
      },
      {
        ranking: 42,
        name: "Laoreet Inc.",
        size: "luctus",
        billing: "$5.398",
        clientsEvaluation: 92,
        projects: 47,
        industrialSector: "sed leo.",
        logo: "https://picsum.photos/100?random=42",
      },
      {
        ranking: 43,
        name: "Sit Amet Risus Industries",
        size: "Aliquam",
        billing: "$7.818",
        clientsEvaluation: 13,
        projects: 33,
        industrialSector: "luctus felis",
        logo: "https://picsum.photos/100?random=43",
      },
      {
        ranking: 44,
        name: "Luctus Ipsum Leo Company",
        size: "lacinia",
        billing: "$7.871",
        clientsEvaluation: 7,
        projects: 23,
        industrialSector: "enim, gravida",
        logo: "https://picsum.photos/100?random=44",
      },
      {
        ranking: 45,
        name: "Purus Industries",
        size: "tempor,",
        billing: "$8.045",
        clientsEvaluation: 25,
        projects: 39,
        industrialSector: "dui nec",
        logo: "https://picsum.photos/100?random=45",
      },
      {
        ranking: 46,
        name: "Mauris Company",
        size: "amet,",
        billing: "$9.890",
        clientsEvaluation: 45,
        projects: 44,
        industrialSector: "orci lacus",
        logo: "https://picsum.photos/100?random=46",
      },
      {
        ranking: 47,
        name: "Integer In Magna LLC",
        size: "nisi.",
        billing: "$8.344",
        clientsEvaluation: 88,
        projects: 49,
        industrialSector: "orci tincidunt",
        logo: "https://picsum.photos/100?random=47",
      },
      {
        ranking: 48,
        name: "Non Quam Pellentesque Consulting",
        size: "natoque",
        billing: "$5.730",
        clientsEvaluation: 1,
        projects: 13,
        industrialSector: "Nunc ut",
        logo: "https://picsum.photos/100?random=48",
      },
      {
        ranking: 49,
        name: "Tellus Justo Institute",
        size: "posuere,",
        billing: "$7.834",
        clientsEvaluation: 71,
        projects: 30,
        industrialSector: "nisi dictum",
        logo: "https://picsum.photos/100?random=49",
      },
      {
        ranking: 50,
        name: "Eu Turpis Nulla Ltd",
        size: "Donec",
        billing: "$8.185",
        clientsEvaluation: 10,
        projects: 27,
        industrialSector: "vestibulum massa",
        logo: "https://picsum.photos/100?random=50",
      },
    ];
  },
};
</script>
